Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_settlement_history_by_instrument \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 2192,
  "method": "private/get_settlement_history_by_instrument",
  "params": {
    "instrument_name": "ETH-22FEB19",
    "type": "settlement",
    "count": 1
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_settlement_history_by_instrument"

payload = {
    "jsonrpc": "2.0",
    "id": 2192,
    "method": "private/get_settlement_history_by_instrument",
    "params": {
        "instrument_name": "ETH-22FEB19",
        "type": "settlement",
        "count": 1
    }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 2192,
    method: 'private/get_settlement_history_by_instrument',
    params: {instrument_name: 'ETH-22FEB19', type: 'settlement', count: 1}
  })
};

fetch('https://test.deribit.com/api/v2/private/get_settlement_history_by_instrument', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 2192,
  "result": {
    "settlements": [
      {
        "type": "settlement",
        "timestamp": 1550475692526,
        "session_profit_loss": 0.038358299,
        "profit_loss": -0.001783937,
        "position": -66,
        "mark_price": 121.67,
        "instrument_name": "ETH-22FEB19",
        "index_price": 119.8
      }
    ],
    "continuation": "xY7T6cusbMBNpH9SNmKb94jXSBxUPojJEdCPL4YociHBUgAhWQvEP"
  }
}

Query Parameters

instrument_name
string
required

Instrument name Unique instrument identifier

Example:

"BTC-PERPETUAL"

type
enum<string>

Settlement type The type of settlement. settlement, delivery or bankruptcy.

Available options:
settlement,
delivery,
bankruptcy
count
integer

Number of requested items, default - 20, maximum - 1000

Required range: 1 <= x <= 1000
continuation
string

Continuation token for pagination

Example:

"xY7T6cutS3t2B9YtaDkE6TS379oKnkzTvmEDUnEUP2Msa9xKWNNaT"

search_start_timestamp
integer

The latest timestamp to return result from (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)

Example:

1536569522277

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request